function p.payload(level, bp)
    local num_diamonds = ga_get_i("game.diamonds")
    num_diamonds = num_diamonds + 1
    ga_set_i("game.diamonds", num_diamonds)
    --
    game_msg.add("You got a diamond")
    ga_hud_msg("You got a diamond!", 3.0) --System hud.
    game_bent.remove_temp(level, bp, 60) --Remove for 1 min.
    --
    ga_play_sound("gold")
end

function p.__get_touch_dist()
    return 1.0
end

function p.__on_touch(level, bp)
    p.payload(level, bp)
end

function p.__get_can_use(level, bp)
    return true
end

function p.__get_use_msg(level, bp)
    return "Diamond"
end

function p.__on_use(level, bp)
    p.payload(level, bp)
end
